function coordnew=NodeUpdate(coord,w,h,nx,ny)
Nnode=size(coord,1);
Nel=Nnode-1;
coordnew=zeros(Nnode,2);
x=zeros(Nnode,1);
y=zeros(Nnode,1);
delx=w/nx;

coordsurf=coord(1:nx+1,:); %surface node
xsurf=coordsurf(:,1);
ysurf=coordsurf(:,2);

%surface nodes
for i=1:nx+1
    x(i)=-w/2+delx*(i-1);
    xtemp=xsurf-x(i);
    [C,I]=min(abs(xtemp));
    if xsurf(I)-x(i)==0;
        y(i)=ysurf(I);
    elseif xsurf(I)-x(i)>0
        x1=xsurf(I-1); y1=ysurf(I-1);
        x2=xsurf(I); y2=ysurf(I);
        %linear interpolation
        y(i)=(y2-y1)/(x2-x1)*(x(i)-x1)+y1;
    else
        x1=xsurf(I); y1=ysurf(I);
        x2=xsurf(I+1); y2=ysurf(I+1);
        %linear interpolation
        y(i)=(y2-y1)/(x2-x1)*(x(i)-x1)+y1;
    end
end

%grain boundary nodes
x(nx+2:Nnode)=zeros(ny,1); 
dely=ysurf(nx/2+1)/ny;
y(nx+2:Nnode)=[0:dely:ysurf(nx/2+1)-dely];

coordnew(:,1)=x;
coordnew(:,2)=y;